exportdefs.h File Reference

export definitions for various compilers More...

Go to the source code of this file.

## Macros

#define | AMBIX_EXPORT
#define | AMBIX_IMPORT
#define | AMBIX_DEPRECATED
#define | AMBIX_API AMBIX_IMPORT

## Detailed Description

export definitions for various compilers

This file is part of libambix

Author
  IOhannes m zmölnig zmoel.nosp@m.nig@.nosp@m.iem.a.nosp@m.t

Date
  2012

Copyright
  LGPL-2.1

## Macro Definition Documentation

## AMBIX_API

#define AMBIX_API AMBIX_IMPORT

mark symbols to be useable outside the library

## AMBIX_DEPRECATED

#define AMBIX_DEPRECATED

mark symbols to be deprecated

## AMBIX_EXPORT

#define AMBIX_EXPORT

mark symbols to be exported from libambix

## AMBIX_IMPORT

#define AMBIX_IMPORT

mark symbols to be imported from libambix